Subject: Re: + security-selinux-include-netlabelh-fix-two-build-errors.patch added to -mm tree

From: Paul Moore <[email-masked]>
Date: Fri, 5 Sep 2008 13:02:34 -0400

On Friday 05 September 2008 12:44:15 pm Paul Moore wrote:
> On Friday 05 September 2008 12:00:33 am Randy Dunlap wrote:
> > Even with this patch, net/netlabel/netlabel_mgmt.c has build errors
> > when CONFIG_IPV6=n:
>
> Interesting, I tried to reproduce this quickly by changing my
> .config, running 'make oldconfig', verifying that CONFIG_IPV6 was
> still "n" (it was actually commented out), and then running 'make
> M=net/netlabel' ... the result was no error.
>
> You are correct, I obviously made a mistake in the code (which I am
> fixing now) but I don't understand why the steps I took above didn't
> highlight the problem?  What am I missing?

Hmmm, nevermind, the problem seems to have disappeared after 
running 'make prepare scripts'.

> > linux-next-20080904/net/netlabel/netlabel_domainhash.c:79: warning:
> > unused variable 'tmp6'
> > linux-next-20080904/net/netlabel/netlabel_domainhash.c:78: warning:
> > unused variable 'iter6'
> > linux-next-20080904/net/netlabel/netlabel_domainhash.c:340:
> > warning: unused variable 'tmp6'
> > linux-next-20080904/net/netlabel/netlabel_domainhash.c:301:
> > warning: unused variable 'iter6'
> > linux-next-20080904/net/netlabel/netlabel_mgmt.c:219: error:
> > implicit declaration of function 'netlbl_af6list_add'
> > linux-next-20080904/net/netlabel/netlabel_mgmt.c:317: error:
> > implicit declaration of function 'netlbl_af6list_foreach_rcu'
> > linux-next-20080904/net/netlabel/netlabel_mgmt.c:318: error:
> > expected ';' before '{' token make[3]: ***
> > [net/netlabel/netlabel_mgmt.o] Error 1

-- 
paul moore
linux @ hp